#include "art/Framework/Principal/Event.h"
#include "art/Framework/Principal/Handle.h"
#include "art/Framework/Principal/Run.h"
#include "art/Framework/Principal/SubRun.h"
#include "art/Utilities/InputTag.h"
#include "fhiclcpp/ParameterSet.h"
#include "art/Framework/Services/Registry/ActivityRegistry.h"
#include "art/Framework/Services/Registry/ServiceMacros.h"

// A service to send data 
namespace  novaddt{

    class SNMessageInterface{
        public:
            virtual void PushPoint(uint64_t time, uint64_t hits)=0;
    };

}
DECLARE_ART_SERVICE_INTERFACE(novaddt::SNMessageInterface,LEGACY);
